Bug 15905 - solo1 driver enables mic on boot -- loud feedback results
Summary: solo1 driver enables mic on boot -- loud feedback results
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-10 05:31 UTC by Edward T. Schlunder
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 00:58:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Try this see if it does the job (369 bytes, patch)
2000-08-14 16:16 UTC, Alan Cox
no flags Details | Diff

Description Edward T. Schlunder 2000-08-10 05:31:45 UTC
The ESS Solo1 sound card kernel module enables the microphone input on
boot. The IBM Thinkpad i1482 has integrated speakers and microphone such
that loud feedback noise erupts upon booting Red Hat pinstripe.

After booting the first time, I can login, run aumix to turn off the
microphone volume. Subsequent boot then have a short loud squirt of
feedback noise on bootup during the short time between the solo1 module
being loaded and the initscripts restoring my mixer settings, so even
fixing it manually that way isn't perfect.

Comment 1 Preston Brown 2000-08-14 15:24:02 UTC
maybe we can get this fixed.

Comment 2 Alan Cox 2000-08-14 16:16:04 UTC
Created attachment 2456 [details]
Try this see if it does the job

Comment 3 Edward T. Schlunder 2000-08-23 18:46:10 UTC
Thanks, I will try that patch out next time I get a free weekend to compile the
kernel with.

Comment 4 Daryll 2001-02-23 16:44:02 UTC
This problem is somewhat worse that described. Even if you turn off the
microphone at boot, it will turn itself back on again at a later time. My guess
is that the sound module gets unloaded and reloaded, and defaults to the
microphone being on.



Comment 5 Alan Cox 2002-12-15 00:58:05 UTC
Closing - the fix proved to work and became mainstream. Anyone seeing hooting
esssolo should check their mixer settings as aumix remembers them from shutdown
to next boot



Note You need to log in before you can comment on or make changes to this bug.